### Method

# Ide EditorSearch set_reverse

#### Declaration

    void
    ide_editor_search_set_reverse (
      IdeEditorSearch* self,
      gboolean reverse
    )

#### Description

Sets the “reverse” property.

This is used to alter the direction for relative search movements. `IDE_EDITOR_SEARCH_NEXT` and `IDE_EDITOR_SEARCH_PREVIOUS` will swap directions so that `IDE_EDITOR_SEARCH_PREVIOUS` will search forwards in the buffer and `IDE_EDITOR_SEARCH_NEXT` wills earch backwards.

Available since: | 3.32

Sets property | `Ide.EditorSearch:reverse`

#### Parameters

`reverse` | `gboolean`
| If relative search directions should reverse.